Bug 7758 - Двойное монтирование /dev/pts
: Двойное монтирование /dev/pts
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/udev)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-26 14:09 by
Modified: 2006-10-04 23:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-26 14:09:21
/dev/pts монтируется два раза. Причем если из /etc/fstab убрать запись о нем,
то
оно не монтируется вообще.

[c0der@mycomp ~]$ grep pts /etc/fstab
devpts          /dev/pts        devpts  gid=5,mode=0620  
[c0der@mycomp ~]$ grep pts /etc/mtab
devpts /dev/pts devpts rw,gid=5,mode=0620 0 0
devpts /dev/pts devpts rw,gid=5,mode=0620 0 0

udev у меня старый, но у товарищей из CC воспроизводится и на более новый
версиях...
------- Comment #1 From 2005-08-26 14:10:35 -------
reassign to mantainer
------- Comment #2 From 2005-08-31 12:41:02 -------

*** This bug has been marked as a duplicate of 6974 ***
------- Comment #3 From 2005-10-15 16:19:05 -------
Ну нет! Этот баг еще не закрыт.. :( Просто я пока закрыл на него глаза, т.к. он
не критичен и не очень мне мешает..

[c0der@mycomp ~]$ grep pts /etc/mtab                                      19:17
devpts /dev/pts devpts rw,gid=5,mode=0620 0 0
/dev/pts /dev/pts none rw 0 0
------- Comment #4 From 2006-02-21 23:30:52 -------
теперь точно fixed (новая сборка пошла в сизиф).
------- Comment #5 From 2006-03-04 19:30:41 -------
(In reply to comment #4)
> теперь точно fixed (новая сборка пошла в сизиф).

Странно:

[c0der@rock ~]$ grep pts /proc/mounts
devpts /dev/pts devpts rw 0 0

И при этом:

[c0der@rock ~]$ grep pts /etc/mtab
devpts /dev/pts devpts rw,gid=5,mode=0620 0 0
/dev/pts /dev/pts none rw 0 0

В выводе mount тоже два раза эта строчка.

[c0der@rock ~]$ rpm -q udev
udev-0.77-alt2
------- Comment #6 From 2006-03-04 19:51:41 -------
(In reply to comment #5)
+1
------- Comment #7 From 2006-08-15 19:35:42 -------
(In reply to comment #5)
И на udev-096-alt1 то же самое.

mount --move всё равно добавляет запись в /etc/mtab.  Возможно, в данном случае
следует использовать mount -n.
------- Comment #8 From 2006-08-28 18:37:56 -------
Исправлено в udev-097-alt1 (путём применения mount -n для перемещения /dev/pts
и
/dev/shm в новый /dev).
------- Comment #9 From 2006-10-04 23:34:07 -------
[c0der@rock ~]$ grep pts /etc/mtab                                         2:29
devpts /dev/pts devpts rw,gid=5,mode=0620 0 0

VERIFIED && CLOSED на udev-097-alt2